Docs / Guide

SDK Data APIs

Call Data APIs

Use a named helper for discoverability or the generic method for any published Data API path.

Use a named helper

curl -X POST "https://api.datablue.dev/v1/data/google/maps" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"query":"coffee in Chennai","num_results":5}'
Example response
{
  "success": true,
  "query": "coffee in Chennai",
  "total_results": 1,
  "places": [
    {
      "position": 1,
      "title": "Example Coffee",
      "address": "Chennai, India",
      "rating": 4.6
    }
  ]
}

Use any published path

Example
# Python
result = client.data_api("google/maps", {"query": "coffee in Chennai"})

// Node.js
const result = await client.dataApi("google/maps", {
  query: "coffee in Chennai",
});

Pass method="GET" in Python or { method: "GET" } in Node.js for GET-based endpoints. Use get_data_job_status() or getDataJobStatus() when a Data API returns a job ID.

Helper families

FamilyExamples
Googlegoogle_serp, google_maps, google_news, google_jobs, google_flights, google_finance, keyword and Trends helpers
CommerceBlinkit, Instamart, Zepto, Amazon, Flipkart, and AJIO helpers
Apps and adsApp Store, Google Ads, and Facebook Ads helpers
SocialYouTube, Twitter, and Reddit helpers

Python uses snake_case helper names. Node.js uses matching camelCase names.